<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use UnexpectedValueException;




class SessionTransparencyType
{
    


    const UNKNOWN_TYPE = 0;
    


    const NY_AI_SAFETY_DISCLAIMER = 1;

    private static $valueToName = [
        self::UNKNOWN_TYPE => 'UNKNOWN_TYPE',
        self::NY_AI_SAFETY_DISCLAIMER => 'NY_AI_SAFETY_DISCLAIMER',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

